<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.pcloud.common</groupId>
		<artifactId>pcloud-book-parent</artifactId>
		<version>3.1.0-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>

	<groupId>com.pcloud.service</groupId>
	<artifactId>pcloud-service-book</artifactId>
	<version>${reversion}</version>
	<packaging>jar</packaging>

   <name>pcloud-service-book</name>


    <properties>

    </properties>

    <dependencies>
		<!--对外暴露api依赖-->
		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-book</artifactId>
			<version>${reversion}</version>
		</dependency>

		<!--内部调用依赖-->
       <dependency>
		   <groupId>com.dcg</groupId>
		   <artifactId>CoolQSDK</artifactId>
		   <version>${coolq-sdk.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.common</groupId>
			<artifactId>pcloud-common</artifactId>
			<version>${pcloud-common.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.common</groupId>
			<artifactId>pcloud-common-core</artifactId>
			<version>${pcloud-common-core.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-usercenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-resourcecenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-channelcenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-tradecenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-comment</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-message</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-quartz</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-analysisengine</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-commoncenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-voicemessage</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-settlementcenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-appcenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-raystask</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
  			<artifactId>pcloud-facade-contentcenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>


		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-readercenter</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

        <dependency>
            <groupId>com.pcloud.facade</groupId>
            <artifactId>pcloud-facade-labelcenter</artifactId>
            <version>${pcloud-facade3.version}</version>
        </dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-wechatgroup</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-promotion</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-audioapp</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-videolesson</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-liveapp</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-shareimage</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-convert</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-wechat</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-feedback</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-wordapp</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>


		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-exercisebook</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-advertising</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>
		<dependency>
			<groupId>com.pcloud.book.elasticsearch</groupId>
			<artifactId>pcloud-book-elasticsearch-api</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-combinedmarketing</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.data</groupId>
			<artifactId>pcloud-data-api</artifactId>
			<version>${pcloud-facade3.version}</version>
		</dependency>

		<dependency>
			<groupId>fakepath</groupId>
			<artifactId>jbarcode</artifactId>
			<version>0.2.8</version>
		</dependency>

		<!--田指导发消息接口-->
		<dependency>
			<groupId>com.dcg</groupId>
			<artifactId>wxgroup-sdk</artifactId>
			<version>${wxgroup-sdk.version}</version>
		</dependency>

		<!-- clickHouse数据库 -->
		<dependency>
			<groupId>ru.yandex.clickhouse</groupId>
			<artifactId>clickhouse-jdbc</artifactId>
			<version>0.2.1</version>
		</dependency>

    </dependencies>

     <build>
		 <finalName>pcloud-service-book</finalName>
		 <plugins>
             <plugin>
                 <groupId>org.springframework.boot</groupId>
                 <artifactId>spring-boot-maven-plugin</artifactId>
             </plugin>

			 <plugin>
				 <groupId>org.mybatis.generator</groupId>
				 <artifactId>mybatis-generator-maven-plugin</artifactId>
				 <configuration>
					 <verbose>true</verbose>
					 <overwrite>true</overwrite>
				 </configuration>
			 </plugin>
         </plugins>
     </build>
</project>
